<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 11:04:43 CET 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business"><span class="type-name-link">Saison</span></a> - Class in <a href="../fr/humanbooster/fx/gestion_de_series/business/package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html#%3Cinit%3E(java.lang.String,fr.humanbooster.fx.gestion_de_series.business.Serie)">Saison(String, Serie)</a></span> - Constructor for class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/humanbooster/fx/gestion_de_series/service/SaisonService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service"><span class="type-name-link">SaisonService</span></a> - Interface in <a href="../fr/humanbooster/fx/gestion_de_series/service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SaisonServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl"><span class="type-name-link">SaisonServiceImpl</span></a> - Class in <a href="../fr/humanbooster/fx/gestion_de_series/service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SaisonServiceImpl.html#%3Cinit%3E()">SaisonServiceImpl()</a></span> - Constructor for class fr.humanbooster.fx.gestion_de_series.service.impl.<a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SaisonServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl">SaisonServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business"><span class="type-name-link">Serie</span></a> - Class in <a href="../fr/humanbooster/fx/gestion_de_series/business/package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html#%3Cinit%3E(java.lang.String,float)">Serie(String, float)</a></span> - Constructor for class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/humanbooster/fx/gestion_de_series/service/SerieService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service"><span class="type-name-link">SerieService</span></a> - Interface in <a href="../fr/humanbooster/fx/gestion_de_series/service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SerieServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl"><span class="type-name-link">SerieServiceImpl</span></a> - Class in <a href="../fr/humanbooster/fx/gestion_de_series/service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SerieServiceImpl.html#%3Cinit%3E()">SerieServiceImpl()</a></span> - Constructor for class fr.humanbooster.fx.gestion_de_series.service.impl.<a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SerieServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl">SerieServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html#setDateAjout(java.util.Date)">setDateAjout(Date)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html#setDureeEnMinutes(int)">setDureeEnMinutes(int)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html#setEpisodes(java.util.List)">setEpisodes(List&lt;Episode&gt;)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html#setNom(java.lang.String)">setNom(String)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html#setNom(java.lang.String)">setNom(String)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html#setNom(java.lang.String)">setNom(String)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html#setPrixEnEuros(float)">setPrixEnEuros(float)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html#setSaison(fr.humanbooster.fx.gestion_de_series.business.Saison)">setSaison(Saison)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Episode.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Episode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html#setSaisons(java.util.List)">setSaisons(List&lt;Saison&gt;)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html#setSerie(fr.humanbooster.fx.gestion_de_series.business.Serie)">setSerie(Serie)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.business.<a href="../fr/humanbooster/fx/gestion_de_series/business/Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/EpisodeService.html#supprimerEpisode(java.lang.Long)">supprimerEpisode(Long)</a></span> - Method in interface fr.humanbooster.fx.gestion_de_series.service.<a href="../fr/humanbooster/fx/gestion_de_series/service/EpisodeService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">EpisodeService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/EpisodeServiceImpl.html#supprimerEpisode(java.lang.Long)">supprimerEpisode(Long)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.service.impl.<a href="../fr/humanbooster/fx/gestion_de_series/service/impl/EpisodeServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl">EpisodeServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SerieServiceImpl.html#supprimerSerie(java.lang.Long)">supprimerSerie(Long)</a></span> - Method in class fr.humanbooster.fx.gestion_de_series.service.impl.<a href="../fr/humanbooster/fx/gestion_de_series/service/impl/SerieServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl">SerieServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/humanbooster/fx/gestion_de_series/service/SerieService.html#supprimerSerie(java.lang.Long)">supprimerSerie(Long)</a></span> - Method in interface fr.humanbooster.fx.gestion_de_series.service.<a href="../fr/humanbooster/fx/gestion_de_series/service/SerieService.html" title="interface in fr.humanbooster.fx.gestion_de_series.service">SerieService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
